For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
          • GETList seat threads
          • GETGet thread
          • PUTUpdate thread
          • DELDelete thread
          • POSTGenerate AI response (experimental)
LogoLogo
API ReferenceInboxLinkedinThreads

Get thread

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/seats/:seat_id/inbox/linkedin/threads/:thread_id
GET
/rest/accounts/:account_id/seats/:seat_id/inbox/linkedin/threads/:thread_id
$curl https://hublinks.io/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "thread": {
4 "read": false,
5 "type": "profile",
6 "urn_lp": "ACoAAAozmmIBqnheTd_gX_PlVdeUIFcgGHE3RIs",
7 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
8 "ln_inbox": "LP",
9 "last_name": "Kubiak",
10 "ln_degree": 1,
11 "member_id": "171154018",
12 "thread_id": "2-M2NmOGI4Y2UtYjk1ZS00OWQ2LWI0NzYtMjM4M2UzZTI0N2M4XzEwMA==",
13 "account_id": "ACCO136ce10b5f8a7682efb3",
14 "created_at": 1755712036953,
15 "first_name": "Michael",
16 "updated_at": 1755712036953,
17 "ln_headline": "Account & Relationship Management Executive (Michigan), Wolters Kluwer Health Learning, Research & Practice",
18 "last_message_at": 1755698701352
19 }
20}
Get a Linkedin thread by ID.
Was this page helpful?
Previous

List seat threads

Next

Update thread

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
seat_idstringRequired
thread_idstringRequired

Response

This endpoint returns an object.
successboolean
threadobject